# include/xapian/types.h File Reference

Common types used. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef unsigned int | docid
| A unique id for a document.
typedef docid | doccount
| Type for counts of documents.
typedef int | doccount_diff
| Type for signed difference between counts of documents.
typedef unsigned int | termcount
| Type for counts of terms (eg, wdf, wqf).
typedef int | termcount_diff
| Type for signed difference between counts of terms.
typedef unsigned int | termpos
| Type for term positions within documents.
typedef int | termpos_diff
| Type for signed difference between term positions.
typedef double | doclength
| Type for (normalised) lengths of documents.
typedef unsigned int | valueno
| Type for referring to the number of a value in document.
typedef int | valueno_diff
| Type for signed difference between two valueno-s.
typedef double | weight
| A calculated weight, for a term or document.
typedef int | percent
| A percentage weight, for a term or document.
typedef unsigned int | timeout
| Type for specifying a timeout.

## Detailed Description

Common types used.

## Typedef Documentation

typedef docid doccount

| Type for counts of documents.

typedef int doccount_diff

| Type for signed difference between counts of documents.

typedef unsigned int docid

| A unique id for a document. Document ids start at 1. A zero docid isn't valid, and may be used to indicate "no document".

typedef double doclength

| Type for (normalised) lengths of documents.

typedef int percent

| A percentage weight, for a term or document.

typedef unsigned int termcount

| Type for counts of terms (eg, wdf, wqf).

typedef int termcount_diff

| Type for signed difference between counts of terms.

typedef unsigned int termpos

| Type for term positions within documents. These start at 1. A value of 0 means that the positional information is not available for that term.

typedef int termpos_diff

| Type for signed difference between term positions.

typedef unsigned int timeout

| Type for specifying a timeout. This refers to a time in microseconds: ie. a timeout value of 1000000 corresponds to a timeout of 1 second.

typedef unsigned int valueno

| Type for referring to the number of a value in document.

typedef int valueno_diff

| Type for signed difference between two valueno-s.

typedef double weight

| A calculated weight, for a term or document.